=== platforms/unix/config/Makefile ===
configure : .force
	./mkacinc > acplugins.m4
	aclocal
	autoconf
	rm acplugins.m4

.force :
