=== platforms/unix/npsqueak/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Netscape Plugin for Squeak on Unix platforms
 # Author: Bert Freudenberg
-# Last edited: 2005-02-28 16:57:51 by jens on impara.de
+# Last edited: 2006-09-18 12:32:40 by piumarta on wireless-58.media.mit.edu
 
 ############ Customize flags here #######################
 
@@ -8,7 +8,7 @@
 CC	= gcc
 CFLAGS	= $(INC) -O2 -fPIC -Wall
 LD	= gcc
-LDFLAGS = -shared
+LDFLAGS = 
 
 # usually overridden from top level makefile
 VM_VERSION=  3.7b-5
@@ -24,17 +24,21 @@
 ############ compile and link ###########################
 all: npsqueak.so npsqueakrun
 
-npsqueak.so : npsqueak.o npunix.o 
-	$(LD) $(LDFLAGS) npsqueak.o npunix.o -o npsqueak.so 
+npsqueak.so : npsqueak.la 
+	-@rm -f $@ 
+	ln .libs/npsqueak $@ 
 
-npsqueak.o: npsqueak.c ../config.h
-	$(CC) -c $(CFLAGS) \
+npsqueak.la : npsqueak.lo npunix.lo 
+	../libtool --mode=link $(LD) $(LDFLAGS) npsqueak.lo npunix.lo -avoid-version -module -rpath $(plgdir) -o $@
+
+npsqueak.lo: npsqueak.c ../config.h
+	../libtool --mode=compile $(CC) -c $(CFLAGS) \
 		-DSYSTEM_BIN_DIR=\"$(scriptdir)\" \
 		-DSYSTEM_IMG_DIR=\"$(imgdir)\" \
 		-DNPSQUEAKRUN=\"$(npsqueakrun)\" $<
 
-npunix.o: npunix.c
-	$(CC) -c $(CFLAGS) $<
+npunix.lo: npunix.c
+	../libtool --mode=compile $(CC) -c $(CFLAGS) $<
 
 npsqueakrun: npsqueakrun.in 
 	sed "s|@imgdir@|$(imgdir)|; \
@@ -49,7 +53,7 @@
 
 
 clean:
-	-rm -f *.o *.so *~ .*~ */*~ */.*~
+	-rm -rf *.lo *.la *.o *.so *~ .*~ */*~ */.*~ .libs
 
 
 ############ install ####################################
