=== debian/changelog ===
squeak-vm (1:4.0.3.2202-2) unstable; urgency=low

  * Fix error in debian/rules

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 17 Apr 2010 20:17:57 +0200

squeak-vm (1:4.0.3.2202-1) unstable; urgency=low

  * New upstream release (Closes: #533845)
  * Enabled mpeg plugin only on i386 arch (Closes: #567366)
  * Switch to dpkg-source 3.0 (quilt) format  
  * debian/control:
     - bumped standards version to 3.8.4
     - added quilt build dependency
     - changes dependency from xterm to x-terminal-emulator
     (Closes: #498782)
  * debian/rules: modified to use quilt  
  * Added epoch field to help collaborative mainteinance with other
    Debian based distributions (Closes: #576444)
  * removed sound64bits.dpatch as it's been included upstream
  * debian/patches/mpeg_includes.patch for missing includes (Thanks to 
    Petter Petter Reinholdtsen at #567366)
    
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 15 Apr 2010 12:14:14 +0200

squeak-vm (3.11.3+svn2147-1) unstable; urgency=low

  * New upstream release, with new RomePlugin and GstreamerPlugin, 
    pulseaudio support and use cmake to compile (Closes: #552907)
  * Links every sources file to the user squeak directory
  * Fixes plugin links
  * Removed 20_sym_link_patch and fixImplicitidConvertedPointer.dpatch 
    patches as they're included upstream
  * Added sound64bits.dpatch (Closes: #487871)
  * Reintroduced MPEG3Plugin as it uses the same sources and headers the
    current libmpeg3 package in Debian
  * xresetcapslock removed as the vm now doesn't interprets CAPS LOCK as
    SHIFT being down
  * Removed browser plugin as it is not maintained upstream by now
  * debian/postinst: squeaklets directory now points to /tmp (Closes: #488134)
  * linex.dpatch: fixes images detection and desktop file (Closes: #496559)
  * Bumped standards version to 3.8.3: added debian/README.source
  * Disabled RomePlugin for all archs except i386

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 27 Dec 2009 16:16:46 +0100

squeak-vm (3.10.3+svn1902.dfsg-1) unstable; urgency=low

  * New upstream release (Include new plugins for ogg, gstreamer & dbus)
  * Following patches have been removed as they are applied upstream:
    - 10_configure
    - 15_biasToGrow
    - 64bits_SocketPlugin.dpatch
  * disabled 30_window_icon as it does not work correctly once compiled
  * debian/control: 
    - new build dependencies to compile new plugins: libdbus-1-dev,
      libgstreamer0.10-dev, libvorbis-dev
    - added autotools-dev as build dependency to regenerate config.sub 
      and config.guess files
    - Bumped standards-version to 3.8.0 (no changes required)
    
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 17 Jun 2008 10:47:30 +0200

squeak-vm (3.9.12+svn1820.dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libffi-dev instead of libffi4-dev. Closes: #479712.

 -- Frans Pop <fjp@debian.org>  Fri, 09 May 2008 23:38:57 +0200

squeak-vm (3.9.12+svn1820.dfsg-2) unstable; urgency=low

  * Updated squeak launcher man page (Closes: #471436)
  * Fixed launcher error and changed its interpreter (Closes: #472220)
  * Created fixImplicitidConvertedPointer.dpatch (Closes: #471272)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 22 Mar 2008 23:04:03 +0100

squeak-vm (3.9.12+svn1820.dfsg-1) unstable; urgency=low

  * First official Debian release (Closes: #454635).
  * Updated libtool files
  * Removed MPEG3Plugin as even it's LGPL licensed contains code under
    some evil patents.
  * Following patches have been applied to the upstream svn version
    - 10_configure
    - 15_biasToGrow: biasToGrow code typo (Squeak #6667)
    - 20_sym_link_patch: fix symlinks on Linux
    - 30_window_icon: add an icon to the Squeak window (by Matej Kosik)
    - 50_defaultSourcesSystemAttribute: set default place for sources
    - npsqueak: modify plugin launcher to work in Debian 
    - 64bits_SocketPlugin: fix a segfault in the 64 bits (Squeak #5688)
    - linex: legacy files from previous Squeak package in gnuLinEx 
  * platforms/Cross/plugins/JPEGReadWriter2Plugin/README added as it
    was lost in the svn and contains license text for this plugin
  * Added launcher desktop friendly, desktop integration and icons

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 05 Mar 2008 19:54:53 +0100
