=== debian/control ===
Source: squeak-vm
Section: interpreters
Priority: optional
Maintainer: Debian Squeak Team <pkg-squeak-devel@lists.alioth.debian.org>
Uploaders: José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper (>= 5.0.42), autotools-dev, quilt, cmake (>= 2.6.2), libxt-dev, libgl1-mesa-dev, libasound2-dev, uuid-dev, libspeex-dev, libxtst-dev, libxrender-dev, sharutils, libffi-dev, libdbus-1-dev, libgstreamer0.10-dev, libvorbis-dev,  libfreetype6-dev, libpango1.0-dev, libcairo2-dev, libpulse-dev
Standards-Version: 3.8.4

Package: squeak-vm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, whiptail, xterm | x-terminal-emulator, gettext-base
Recommends: zenity | kdebase-bin
Suggests: squeak-sources, squeak-plugin, squeak-image
Description: The Squeak Smalltalk System (virtual machine)
 Squeak is a full-featured implementation of the Smalltalk programming
 language and environment based on (and largely compatible with) the
 original Smalltalk-80 system.
 .
 This package contains just the Squeak virtual machine.  If you are
 new to Squeak then you will have to install a Squeak image too before
 you can run Squeak. Squeak images can be downloaded from
 http://www.squeak.org, http://www.squeakland.org or 
 http://squeak.educarex.es
