## squeak-vm 4.4.7.2357

=== unix/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Yes, it's true: you can write makefiles in COBOL.
 # 
-# Last edited: 2010-04-09 04:23:35 by piumarta on ubuntu
+# Last edited: 2010-05-13 12:54:20 by piumarta on emilia-2.local
 
 PROJECT (squeak)
 
@@ -137,6 +137,8 @@
 
 BUILD_PLUGINS ()
 
+ADD_SUBDIRECTORY (${unix}/npsqueak)
+
 SET (cmake ${unix}/../../cmake)
 
 IF (EXISTS ${cmake}/Packages.cmake)
