=== debian/changelog ===
squeak-vm (1:4.4.7.2357-1) unstable; urgency=low

  * New upstream release (Closes: #625861)
  * debian/control:
     - bumped standards version to 3.9.2  
     - fixed suggestions in debian/control (Closes: #528156)
  * Disabled npsqueak patch, as browser plugin doesn't compile

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 07 May 2011 11:18:30 +0200
