=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Squeak Team <pkg-squeak-devel@lists.alioth.debian.org>
 Uploaders: José L. Redrejo Rodríguez <jredrejo@debian.org>
 Build-Depends: debhelper (>= 5.0.42), autotools-dev, quilt, cmake (>= 2.6.2), libxt-dev, libgl1-mesa-dev, libasound2-dev, uuid-dev, libspeex-dev, libxtst-dev, libxrender-dev, sharutils, libffi-dev, libdbus-1-dev, libgstreamer0.10-dev, libvorbis-dev,  libfreetype6-dev, libpango1.0-dev, libcairo2-dev, libpulse-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
+Homepage: http://www.squeakvm.org/unix/
 
 Package: squeak-vm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, whiptail, xterm | x-terminal-emulator, gettext-base
 Recommends: zenity | kdebase-bin
-Suggests: squeak-sources, squeak-plugin, squeak-image
+Suggests: etoys
 Description: The Squeak Smalltalk System (virtual machine)
  Squeak is a full-featured implementation of the Smalltalk programming
  language and environment based on (and largely compatible with) the
