=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 debianmajor=$(shell echo $(debversion) | cut -d . -f 1)
 debianminor=$(shell echo $(debversion) | cut -d . -f 2)
 debianultraminor=$(shell echo $(debversion) | cut -d . -f 3)
-svnversion=2202
+svnversion=2357
 debianversion=$(debianmajor).$(debianminor).$(debianultraminor)-$(svnversion)
 #debianversion=$(debversion)-$(svnversion)
 
@@ -56,11 +56,11 @@
 	mkdir $(BUILD_TREE)
 	cd $(BUILD_TREE); ../unix/cmake/configure $(CONFIG_OPTS) \
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)  \
-		--prefix=/usr --mandir=/usr/share/man 
+		--with-npsqueak --prefix=/usr --mandir=/usr/share/man 
 	cd $(BUILD_TREE); cmake .. \
 		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
 		-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
-		../unix
+		../unix		
 
 	touch $@
 
@@ -68,6 +68,7 @@
 build: configure build-stamp
 build-stamp:
 	dh_testdir
+
 	cd $(BUILD_TREE); $(MAKE)
 
     # uudecode desktop icons:
