=== debian/changelog ===
squeak-vm (1:4.10.2.2614-8) unstable; urgency=medium

  * Add patch to add sa_restorer on HPPA.
    Closes: Bug#528774. Thanks to Philipp Kern and John David Anglin.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 12:52:07 +0200

squeak-vm (1:4.10.2.2614-7) unstable; urgency=medium

  * Update patches:
    + Add patch cherry-picked form OpenSmalltalk to fix CameraPlugin for
      64bit unix.
      Closes: Bug#892016.
      Thanks to Bernhard Übelacker, Adrian Bunk, and Tobias Pape.
    + Drop obsolete unused patch npsqueak.patch.
    + Add/update DEP-3 patch headers.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Sep 2018 14:35:04 +0200

squeak-vm (1:4.10.2.2614-6) unstable; urgency=medium

  * Limit compiler optimization workaround to adding compile options
    -fno-caller-saves -fno-strict-overflow -fno-strict-aliasing
    (not -O1).
    See Bug#872252.
  * Update shell wrapper:
    + Fix revert to use $HOME (not ~)
      when not immediately resolved by shell.
    + Fix use find (not shell globbing)
      to avoid creating broken symlink as bogus fallback.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Jul 2018 12:36:41 +0200

squeak-vm (1:4.10.2.2614-5) unstable; urgency=medium

  * Move maintenance to the Sugar team, with myself as uploader.
    Thanks for your past contributions, José.
  * Update Vcs-* fields: Source moved to Salsa.
  * Wrap-and-sort debian hint files.
  * Update package relations:
    + Recommend kdialog (not kdebase-bin).
      Closes: Bug#885841. Thanks to Pino Toscano.
    + Relax to build-depend unversioned on cdbs:
      Needed version satisfied even in oldstable.
    + Stop build-depend on dh-buildinfo.
  * Use debhelper compatibility level 9 (not 8).
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Drop README.source: Bogusly talks about unused control.in file.
  * Adjust short description to mention Smalltalk
    (and not Unix nor repeat package name).
  * Update shell wrapper:
    + Modernize to use $$(...) (not `...`)
    + Avoid useless use of echo.
    + Use mktemp (not deprecated tempfile).
    + Avoid superfluous dollar in arithmetics.
    + Simplify resolving internal variables IMAGE_DIR VM.
    + Fix obey custom SQUEAK_IMAGE_DIR
      (not use hardcoded path when single image located).
    + Use find (not cd + ls) to locate images).
    + Simplify resolving if first parameter is a project file.
    + Simplify resolving if image path is relative.
    + Check exit code explicitly.
    + Store positional parameters explicitly.
    + Fix handle multiple images with same basename.
    + Use ~ (not $HOME).
    + Fix use multi-argument syntax when calling x-terminal-emulator.
    + Fix escape image paths, to handle oddly named images.
    + Simplify tests.
    + Fix quote variables.
    + Use POSIX shell (not bash).
    + Tidy whitespace.
  * Declare compliance with Debian Policy 4.1.5.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jul 2018 23:08:29 +0200

squeak-vm (1:4.10.2.2614-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -O1 to work around bugs exposed by better
    optimization in recent gcc versions. (Closes: #862576)

 -- Adrian Bunk <bunk@debian.org>  Wed, 07 Jun 2017 12:05:13 +0300

squeak-vm (1:4.10.2.2614-4) unstable; urgency=medium

  * Fix use system shared config.guess and config.sub (not old local
    versions).
    Closes: bug#804164. Thanks to Jurica Stanojkovic.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2015 10:24:52 +0100

squeak-vm (1:4.10.2.2614-3) unstable; urgency=medium

  * Gix stop build-depend on libgstreamer0.10-dev: Plugin isn't built
    anyway.
    Closes: Bug#799726. Thanks to Moritz Muehlenhoff and Tobias Pape.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Oct 2015 17:34:33 +0100

squeak-vm (1:4.10.2.2614-2) unstable; urgency=medium

  * Update README.source to emphasize that control.in file is *not* a
    show-stopper for contributions.
  * Move packaging to pkg-squeak team governance.
  * Declare compliance with Debian Policy 3.9.6.
  * Improve short and long description, avoiding article in short
    description, and referencing Debian packages (not web pages) for
    Squeak images.
  * Modernize CDBS use:
    + Have utils.mk put aside cruft during build.
      Tighten to build-depend on recent cdbs.
    + Stop needlessly relax upstream-tarball.mk inclusion.
    + Include cmake.mk (bypassing upstream configure script): Enables
      fortifying options.
  * Fix menu file.
  * Recommend scratch with etoys as fallback (and stop suggest etoys).
    Closes: bug#603797. Thanks to Ronny Standtke.
  * Remove /usr/share/squeak dir when purging package.
    Closes: Bug#658108. Thanks to Andreas Beckmann.
  * Fix drop Education tag from desktop file.
    Closes: Bug#611115. Thanks to Chris Wilson.
  * Fix FTBFS with build-flag --as-needed.
    Closes: Bug#710367. Thanks to Julian Taylor.
  * Fix build-depend on libasound2-dev only on Linux archs, and
    build-exclude it elsewhere.
    Closes: Bug#696606. Thanks to Steven Chamberlain.
  * Fix disable FFIPrims plugin on powerpcspe.
    Closes: Bug#693633. Thanks to Roland Stigge.
  * Add patch to fix FTBFS with clang.
    Closes: bug#740972. Thanks to Nicolas Sévelin-Radiguet.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jul 2015 20:02:34 +0200

squeak-vm (1:4.10.2.2614-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763494)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 17:06:04 +0200

squeak-vm (1:4.10.2.2614-1) unstable; urgency=low

  [ upstream ]
  * New upstream release.
    Changes since last packaged release:
    + Support building and installing VMs for 64-bit images.
    + UUIDPlugin can use uuid_create().
    + Link squeakvm against libiconv if necessary.
    + Search /usr/local and /usr/pkg for headers and libs.

