=== debian/control ===
Source: squeak-vm
Section: interpreters
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 autotools-dev,
 cdbs,
 cmake,
 debhelper,
 libasound2-dev [linux-any],
 libcairo2-dev,
 libdbus-1-dev,
 libffi-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpcre3-dev,
 libpulse-dev,
 libspeex-dev,
 libvorbis-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 sharutils,
 uuid-dev,
Build-Conflicts:
 libasound2-dev [!linux-any],
Standards-Version: 4.2.1
Homepage: http://www.squeakvm.org/unix/
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/squeak-vm.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/squeak-vm
Rules-Requires-Root: no

Package: squeak-vm
Architecture: any
Depends:
 gettext-base,
 whiptail,
 xterm | x-terminal-emulator,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 scratch | etoys,
 zenity | kdialog
Description: virtual machine for Smalltalk
 Squeak is a full-featured implementation of the Smalltalk programming
 language and environment based on (and largely compatible with) the
 original Smalltalk-80 system.
 .
 This package contains just the Unix Squeak virtual machine.  You will
 likely need also an image file containing a "snapshot" of a live Squeak
 session - e.g. one of the Debian packages etoys or scratch.
