=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.squeakvm.org/unix/ release/Squeak-(\d[\d\.]+)-src\.tar\.gz
